Status: Closed

Priority: Severe/Regression

Assignee:
Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16422

Description

On qgis master (1.9-93ade1f) The delete selected features on table view doesn't work. Nothing happens when push it.

History

#1 - 2013-04-12 08:17 AM - Werner Macho

Not confirmed here .. 

Can you describe what you did and with what data you were working?

#2 - 2013-04-13 09:40 AM - Pedro Venâncio

I also do not confirm, on Linux.

But I notice a huge regression in the time it takes to delete records.

In a quick test, I arrived at these results, deleting 600 records from a points layer:

- QGIS 1.8: almost instantaneous;

- QGIS Master: ~77s. It looks like delete one by one.

Anyone confirms?

#3 - 2013-04-13 11:02 PM - Luca Lanteri

I also do not confirm the first problem (it could be a my local PC problem), but I confirm the regression in deleting records.

#4 - 2013-04-14 04:20 AM - Giovanni Manghi

- Category set to Vectors

- Subject changed from Delete selected features doesn't work to Delete records in qgis master is very slow (was quick on 1.8)

#5 - 2013-04-14 09:15 AM - Giovanni Manghi

I think that in the very latest master code there was an improvement, but still slower than 1.8

#6 - 2013-04-14 09:41 AM - Pedro Venâncio
Giovanni Manghi wrote:

I think that in the very latest master code there was an improvement, but still slower than 1.8

I just try with master compiled today and the same 600 records that yesterday took 77s, today disappear instantly!

#7 - 2013-04-14 09:44 AM - Giovanni Manghi

- Status changed from Open to Feedback

Pedro Venâncio wrote:

Giovanni Manghi wrote:

I think that in the very latest master code there was an improvement, but still slower than 1.8

I just try with master compiled today and the same 600 records that yesterday took 77s, today disappear instantly!

Matthias committed big changes in this compartment, expected improvement also for table selections, to be tested.

Can we close this?

#8 - 2013-04-14 09:56 AM - Pedro Venâncio

- Status changed from Feedback to Closed

Yeah, I'm noticing quite a few improvements in the performance of interaction with the attribute table.

Yes, I think we can close this ticket.

Thanks!
